Lintian::Reporting::Util(3)

NAME
Lintian::Reporting::Util - Lintian utility functions

SYNOPSIS
 use Lintian::Reporting::Util qw(load_state_cache find_backlog);

 my $cache = load_state_cache('path/to/state-dir');
 my @backlog = find_backlog('2.12', $cache);

DESCRIPTION
This module contains a number of utility subs that are nice to have for the reporting framework, but on their own did not warrant their own module.

Most subs are imported only on request.

FUNCTIONS

load_state_cache(STATE_DIR)
    [Reporting tools only] Load the state cache from STATE_DIR.

save_state_cache(STATE_DIR, STATE)
    [Reporting tools only] Save the STATE cache to STATE_DIR.

find_backlog(LINTIAN_VERSION, STATE)
    [Reporting tools only] Given the current lintian version and the harness state, return a list of group ids that are part of the backlog. The list is sorted based on what version of Lintian processed the package.

    Note the result is by design not deterministic to reduce the risk of all large packages being in the same run (e.g. like gcc-5 + gcc-5-cross + gcc-6 + gcc-6-cross).

SEE ALSO
lintian(1)